Seite 1 von 1

Habe noch die 3.0.14 und möchte updaten...

Verfasst: 12.09.2016 08:32
von sammy65
Hallo miteinander,

inzwischen habe ich auf die letzte Version 3.0 aktualisuiert. Ich habe jetzt 3.0.14

Die Adresse meines Boards: http://www.tsdaten.de/kaktusforum

Kann mir jemand sagen, ob ich jetzt auf 3.2 warten soll oder jetzt updaten.
Was mich extrem verunsichert, ist, dass ich jetzt das erste Mal total überfordert bin mich an das Update zu wagen, da ich nicht weiss, was mit meinen installierten mod´s passiert und vor allem mit den Daten in den Mods....
Wisst Ihr ob die entsprechenden Mods in der aktuellen Programmversion denn schon erhältlich sind

Ich habe unter anderem Die Mod´s
Gallery von Nickvergessen (daran ist es bisher gescheitert, da dieser Mod essentiell in Meinen Forum genutzt wird, u. A. für ein Lexikon...)
Ich habe jetzt auch gelesen, dass dieser Mod nicht mehr portiert wird.....

Portal Mod
Invite a Friend (Dieser mod wird bei mir intensiv genutzt)
Who was Here
Linkverzeichnis
Newsletter (Wird sehr intensiv genutzt)
Recent Topics
einen Style Umschalter

istalliert.

Was mache ich denn jetzt, ohne dass mir Daten verloren gehen.
Ich bin etwas unglücklich über den Zustand, dass auf die Neue Version ohne tiefere technische Kenntnisse nicht so ohne weiteres aktualisiert werden kann.
Könnt Ihr mir helfen

Re: Habe noch die 3.0.14 und möchte updaten...

Verfasst: 12.09.2016 18:50
von Melmac
Hi,

die Frage, ob jetzt auf 3.1.x oder, nach Abwarten, gleich auf 3.2, ist von außen aber nicht wirklich einfach zu beantworten ;)
Nur mal meine persönliche Meinung: phpBB 3.2 zieht sich noch eine Weile hin - dazu kommt dann die Zeit, die es braucht, bis alle von Dir benötigten 3.1 Extensions an 3.2 angepasst wurden.
In meinen Augen spricht wenig dagegen, auf die aktuelle 3.1-Version upzugraden, falls Du dies in naher Zukunft über die Bühne bekommen möchtest - ein Upgrade wird ohnehin anstehen.


Vielleicht kurz ein paar allgemeine Infos zu Deinen Fragen:
Was Deine alten MODs und auch die Styles für 3.0.x betrifft. so ist es egal, ob Du auf 3.1 oder auf 3.2 umsteigen willst: sie sind beides nicht mit den neuen Linien kompatibel.
Einige Funktionen, die "früher" erst durch MODs zur Verfügung gestellt wurden, sind u.U. bereits in den neuen phpBB Versionen integriert, für anderes gibt es zu 3.1-Extensions portierte Versionen (entweder bereits validiert oder noch in Entwicklung) - einiges mag auch noch fehlen.
Es ist halt die Frage, ob auch wirklich alles weiterhin benötigt wird oder noch warten bzw. verzichtbar sein kann.

Bei den Extension-Pendants der alten MODs, deren Daten Du behalten willst, wäre dann noch zu prüfen, ob sie diese Daten in der Datenbank weiterverwenden oder ob diese zumindest übernommen werden können.

Zu Deiner Liste:
    Style:
  • Du verwendest ein nur leicht modifiziertes Prosilver => ein paar Banner/Grafiken im Header.
    Diese Anpassungen kannst Du normalerweise analog auch im neuen Prosilver durchführen.
    MODs:
  • Gallery von Nickvergessen:
    Noch in Entwicklung: [RC] phpBB Gallery (*)
    Die Altdaten können zwar übernommen werden, der Import erfolgt aber manuell (gibt eine Anleitung hierfür im Board des Entwicklers => phpBB Gallery upgrade from 1.1.x to 1.2+
  • Portal Mod:
    Das Board3 Portal gibs hier als validierte Extension.
    Du müsstest es aber neu einrichten, da die alten Konfigurations- und Moduldaten nicht übernommen werden können.
  • Invite a Friend:
    Seit kurzem befindet sich eine entsprechende Extension in Entwicklung - allerdings wohl noch in einem frühen Stadium. (*)
  • Who was Here:
    Auf die Schnelle fällt mir diese hier ein: [Beta] Nv who was here?. Auch hier aber: noch in Entwicklung. (*)
    Eventuell gibt aber auch Alternativen hierfür.
    Datenübernahme ist hier aber nicht erforderlich ;)
  • Linkverzeichnis:
    In Entwicklung: Partner Page - ob sie Daten übernehmen kann, kann ich nicht beurteilen. (*)
    Alternative (validiert!) vielleicht: phpBB Directory. Was die Datenübernahme betrifft: eher nein, kanns aber nicht mit Sicherheit sagen.
  • Newsletter:
    Aus dem Stegreif eher nein. Eventuell könnte aber dies hier eine vergleichbare Funktionalität bieten: phpBB 3.1 Newspage Extension.
  • Recent Topics:
    Gibt es hier: Recent Topics.
  • einen Style Umschalter:
    Validiert in der CDB => Quick Style oder alternativ den [RC] Style Changer

(*) => Extensions, die sich noch in Entwicklung befinden, sollten nur zu Testzwecken und nicht in einem Live Board installiert werden.
Am besten die entsprechenden Entwicklertopics verfolgen um zu sehen, wo es noch Ecken und Kanten gibt.

Wo Extensions zu finden sind:
- validierte in der CDB
- noch in Entwicklung befindliche: auf phpbb.com im Forum Extensions in Development, hier auf .de Extensions in Entwicklung

Infos darüber, wie ein Upgrade von 3.0.x nach 3.1.x vonstatten geht, findest Du u.a. in diesem Artikel: "Konvertierung" von phpBB 3.0 auf 3.1 (bitte vorher unbedingt die Systemanforderungen für phpBB prüfen).

Da ohnehin die bisherigen phpBB Files durch neue ersetzt werden müssen, würde ich auf den ebenfalls noch angebotenen automatischen Updater verzichten und so verfahren, wie im o.g. Artikel empfohlen.
Meiner Erahrung nach, wenn im "alten System" MODs installiert waren, die Einträge im ACP hinterlassen haben (dazu zählt vor allem auch AutoMOD ...), erspart es einigen nachträglichen Ärger, wenn man vorm eigentlichen Upgrade manuell oder mittels STK zumindest die den vorhandenen MODs zugehörigen Module zurücksetzt/entfernt.

Um ganz auf Nummer Sicher zu gehen und dies gefahrlos fürs Live Board durchspielen zu können, könntest Du einen lokalen Webserver (z.B. XAMPP) aufsetzen und dort eine Kopie des Boards einrichten, an dem Du dies alles Schritt für Schritt üben kannst.

Klingt jetzt alles hochkompliziert, oder? Keine Sorge, ganz so schlimm wie es sich liest ist es wirklich nicht - dieser Schritt sollte nur geplant und in Ruhe vorbereitet sein, dann klappt das auch ;)

Wenn Dir etwas unklar ist oder Du Fragen hast: einfach hier posten!

Re: Habe noch die 3.0.14 und möchte updaten...

Verfasst: 15.01.2017 15:34
von sammy65
Hallo miteinander,

ich wollte mal nachfragen, ob die Gallery und die anderen mod´s bereits verfügbar sind....

Re: Habe noch die 3.0.14 und möchte updaten...

Verfasst: 15.01.2017 17:59
von Melmac
Hast Du mal nachgeschaut? Die Links zu den relevanten Seiten wurden mitgepostet :wink:

  • Galerie:
    ist validiert und in der CDB zu finden
  • "Invite a friend":
    Die verlinkte Extension wurde aufgegeben. Es gibt, IIRC, aber eine Alternative hierzu, nur: sie ist nicht umsonst und wird wohl auch nie zur Validierung eingereicht werden
  • Recent Topics:
    Validiert in der CDB.
    ACHTUNG: aufgrund einiger Codeänderungen in phpBB 3.1.10 gegenüber der Version, unter der diese Ext getestet wurde, scheint es momentan Probleme indieser Kombination zu geben. Am besten auf eine neue Revision der Ext warten

Beim Rest ist der Stand unverändert, auch wenn es inzwischen jeweils neuere Revisionen geben mag.